Print Friendly

# Class Ext.menu.MenuMgr

Package: | Ext.menu
Class: | MenuMgr
Extends: | Object
Defined In: | MenuMgr.js

Provides a common registry of all menu items on a page so that they can be easily accessed by id.
This class is a singleton and cannot be created directly.
Properties - Methods - Events

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| get(`String/Object menu`) : void | MenuMgr
Returns a Ext.menu.Menu object
| hideAll() : void | MenuMgr
Hides all menus that are currently visible

## Public Events

This class has no public events.

## Method Details

### get

`public function get(`String/Object menu`)`
Returns a Ext.menu.Menu object
Parameters:

- `menu` : String/Object
  The string menu id, an existing menu object reference, or a Menu config that will be used to generate and return a new Menu instance.

Returns:

- `void`

This method is defined by MenuMgr.

### hideAll

`public function hideAll()`
Hides all menus that are currently visible
Parameters:

- None.

Returns:

- `void`

This method is defined by MenuMgr.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.